## Introduction

This is the README for **continual-sync**, a tool to keep a directory
synchronised with its mirror.  It uses the *inotify* change notification
mechanism to efficiently trigger calls to `rsync`.


## Documentation

Manual pages are included in this distribution.  Use the "`man`" command
after installation to view the manuals for
[continual-sync](doc/continual-sync.8.md),
[watchdir](doc/watchdir.1.md), and
[continual-sync.conf](doc/continual-sync.conf.5.md).

The change history is in the "[doc/NEWS.md](doc/NEWS.md)" file.  The to-do
list is "[doc/TODO.md](./doc/TODO.md)".

Developers and other contributors, please see "[doc/DEVELOPERS.md](./doc/DEVELOPERS.md)".


## Installation

Run "`sh ./configure && make`" to compile the package, and "`make install`"
to install it.  See "[doc/INSTALL](doc/INSTALL)" for full details.

If using the package direct from the repository, the configuration script
will need to be generated first, with "`autoreconf -is`".


## Copyright

Copyright 2014, 2021, 2023 Andrew Wood.

This package is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the Free
Software Foundation, either version 3 of the License, or (at your option)
any later version.

This package is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
more details.

A copy of the GNU General Public License is provided along with this
package; see the file "[doc/COPYING](doc/COPYING)".


## Project home page

The **continual-sync** home page is at:

  https://www.ivarch.com/programs/continual-sync.shtml

The latest version can always be found here.

